Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class PasswordRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.PasswordRequester

public class PasswordRequester
extends AbstractRequester

This is a requester for passwords.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`PasswordRequester()`
`PasswordRequester(java.lang.String message)`
`PasswordRequester(java.lang.String title, java.lang.String message)`

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`char[]` | `getPassword()`
`protected int` | `getReturnValue()`
`void` | `setMessage(java.lang.String newmessage)`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordRequester

    public PasswordRequester()

### PasswordRequester

    public PasswordRequester(java.lang.String message)

### PasswordRequester

    public PasswordRequester(java.lang.String title,
                             java.lang.String message)

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getPassword

    public char[] getPassword()

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### setMessage

    public void setMessage(java.lang.String newmessage)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD